Subject: Re: bug#66503: 29.1; Problem rendering Arabic diacriticals

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Oct 2023 22:26:04 +0300

> From: "John Wiegley" <[email-masked]>
> Date: Thu, 12 Oct 2023 10:52:16 -0700
> 
> Hello maintainers,
> 
> I have found that Emacs does not render Arabic diacriticals correctly when
> there are multiple of them. Here is a rendering of tashdid + fatha by Emacs
> 29:
> 
> This is me editing ArabXeTeX input, which renders to the PDF correctly.
> 
> Here is the same text in Mellel, which also renders it correctly:

Please also provide the text as text, so we could compare the
rendering you see with what we see in other builds of Emacs.  On
macOS, which you seem to be using, Emacs uses the system text-shaping
engine, which is different from HarfBuzz we use on most other
platforms, so the rendering we see could be different.

Thanks.